# Dynamic_ParameterC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Any.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/ParameterModeC.h"`

Include dependency graph for Dynamic_ParameterC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Dynamic
namespace | TAO

## Classes

struct | Dynamic::Parameter

## Defines

#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Typedefs

typedef TAO_Var_Var_T< Parameter > | Parameter_var
typedef TAO_Out_T< Parameter, Parameter_var > | Parameter_out

## Functions

TAO_AnyTypeCode_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::Parameter &)
TAO_AnyTypeCode_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::Parameter &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Typedef Documentation

typedef TAO_Out_T< Parameter, Parameter_var > Dynamic::Parameter_out

typedef TAO_Var_Var_T< Parameter > Dynamic::Parameter_var

## Function Documentation

TAO_AnyTypeCode_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::Parameter & |
| ) |

TAO_AnyTypeCode_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::Parameter & |
| ) |